For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sync

Sync the account to update transactions with list status

get

This will synchronize the account's transactions status with the one on the blockchain

Authorizations
X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
account_idintegerRequired

The account's ID

Query parameters
synchronousboolean · nullableOptional

If true, the synchronization will be performed synchronously. Otherwise, it will run a a background task

Default: falseExample: true
Responses
200

Account object

application/json
addressstring · nullableOptional

The public address of the account (if any). Note that you should use the /accounts/:id/addresses endpoint to retrieve a trusted public address.

Default: nullExample: 2S4wKimi4PHKjdTYdzqN5HcEcNBM4Hv9db9QWKaZCxEr
available_balancestringRequiredExample: 1337Pattern: ^[0-9]*(\.[0-9]+)?$
balancestringRequiredExample: 1338Pattern: ^[0-9]*(\.[0-9]+)?$
coin_fieldsone of · nullableOptionalDefault: null
or
or
or
or
contract_addressstring · nullableOptionalDefault: null
created_byintegerRequiredExample: 5
created_onstring · date-timeRequired
currencystring · enumRequiredExample: bitcoinPossible values:
derivation_pathstring · nullableOptionalDefault: nullExample: 44'/0'/0'
idintegerRequired
indexintegerRequiredExample: 0
last_requestinteger · nullableOptionalDefault: nullExample: 3
namestringRequiredExample: hot wallet 1
parentinteger · nullableOptionalDefault: null
pending_balancestringRequiredExample: 42Pattern: ^[0-9]*(\.[0-9]+)?$
statusstring · enumRequiredExample: ACTIVEPossible values:
typestring · enumRequiredExample: BitcoinPossible values:
xpubstring · nullableOptional

The Extended Public Key of the account (if any). Note that you should use the /accounts/:id/addresses endpoint to retrieve and share a trusted public address. Only API Operators with view-all rights can retrieve the XPUB.

Default: nullExample: xpub6DGnkaitcjHaKFY18sqWhT3ghE6WWCS61BWn6BwmfzTvr3GHis274GFmXwh4P46s6ikgGEoFjzq4R3KyhUwkkGnXdrpha4QGo3n7PPSehvR
get/accounts/{account_id}/sync
GET /accounts/{account_id}/sync HTTP/1.1
X-Ledger-API-User: YOUR_API_KEY
Accept: */*
{
  "address": "2S4wKimi4PHKjdTYdzqN5HcEcNBM4Hv9db9QWKaZCxEr",
  "available_balance": "1337",
  "balance": "1338",
  "coin_fields": {
    "staking": {
      "activated_at": "2023-02-06T02:48:59+00:00",
      "activated_cycle": 575,
      "active_balance": "322254",
      "baker_address": "2S4wKimi4PHKjdTYdzqN5HcEcNBM4Hv9db9QWKaZCxEr",
      "delegated_at": "2023-01-19T15:18:29+00:00",
      "delegated_block": "3071075",
      "delegated_cycle": 568,
      "gross_apy": "38.33349571462074",
      "rewards": "6958",
      "state": "active",
      "updated_at": "2023-03-10T17:38:41+00:00"
    },
    "type": "Tezos"
  },
  "contract_address": "text",
  "created_by": 5,
  "created_on": "2026-01-01T00:00:00.000Z",
  "currency": "bitcoin",
  "derivation_path": "44'/0'/0'",
  "governance_rules": [
    {
      "id": 1,
      "index": 0,
      "name": "Rule 1",
      "rules": {
        "data": [
          {
            "group": 2,
            "quorum": 1
          },
          {
            "quorum": 1,
            "users": [
              1,
              2
            ]
          }
        ],
        "id": 1,
        "type": "MULTI_AUTHORIZATIONS"
      }
    }
  ],
  "id": 1,
  "index": 0,
  "labels": [
    {
      "id": 1,
      "info": {
        "color": "#FE4523",
        "description": "This is a SPAM"
      },
      "name": "SPAM"
    }
  ],
  "last_request": 3,
  "name": "hot wallet 1",
  "parent": 1,
  "pending_balance": "42",
  "status": "ACTIVE",
  "token_accounts": [
    {
      "account_name": "text",
      "associated_token_account": "text",
      "available": 1,
      "contract_address": "text",
      "creation_transaction_hash": "text",
      "parent_id": 1,
      "pending": 1,
      "status": "text",
      "ticker": "text"
    }
  ],
  "tradelink_data": {
    "total_repledge": "0"
  },
  "type": "Bitcoin",
  "xpub": "xpub6DGnkaitcjHaKFY18sqWhT3ghE6WWCS61BWn6BwmfzTvr3GHis274GFmXwh4P46s6ikgGEoFjzq4R3KyhUwkkGnXdrpha4QGo3n7PPSehvR"
}

Last updated